package com.kingdee.eas.custom.attendanceexception;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class CenterLeaderRelationFactory
{
    private CenterLeaderRelationFactory()
    {
    }
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("386C1907") ,com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation.class);
    }
    
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("386C1907") ,com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation.class, objectCtx);
    }
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("386C1907"));
    }
    public static com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.attendanceexception.ICenterLeaderRelation)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("386C1907"));
    }
}